#include <iostream>
#include <cmath>
using namespace std;

// array is always the original array
// from: the beginning index of the search space
// from: the ending index of the search space
void binarySearch (int array[], int from, int to, int toSearch, int& location)
{
	// to display the search space
//	cout << "The current search space is: "; 
//	for (int i = from; i <= to; i++)
//		cout << array[i] << " ";
//	cout << endl;	
	
	int len = to - from + 1;
	
	if (len == 1) // so to == from
	{
		if (array[to] == toSearch)
			location = to + 1;
		else
			location = 0;
	}
	else
	{
		double median = 0;
		
		// find the median
		if (len % 2 == 0) // even number of elements
			median = (array[(from + to - 1) / 2] + array[(from + to + 1) / 2]) / static_cast<double>(2);
		else 
			median = array[(from + to) / 2];
			
//		cout << "The current median is " << median << endl;
		
		// compare with the median
		if (toSearch == median)
		{
			if (len % 2 == 1)
				location = (from + to) / 2 + 1;
			else 
				location = 0;
		}
		else if (toSearch < median)
		{
			// continue searching in the first half
			if (len % 2 == 0)
				binarySearch (array, from, (from + to - 1) / 2, toSearch, location);
			else
				binarySearch (array, from, (from + to) / 2 - 1, toSearch, location);
		}
		else 
		{
			// continue searching in the second half
			if (len % 2 == 0)
				binarySearch (array, (from + to + 1) / 2, to, toSearch, location);
			else 
				binarySearch (array, (from + to) / 2 + 1, to, toSearch, location);
		}
	}
}

int main ()
{
	int* array = NULL;
	int n = 0;
	int toSearch = 0;

	while (cin >> n)
	{
		array = new int[n];
		
		for (int i = 0; i < n; i++)
			cin >> array[i];

		cin >> toSearch; 
		
		int location = 0;
		binarySearch (array, 0, n, toSearch, location);
		cout << location << endl; 
		
		delete [] array; 
	}
	
	return 0;
}














